﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Thought.vCards;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //Read the vCard file into a vCard object.
        vCard card = new vCard(Server.MapPath("~/vCards/Mudassar Khan.vcf"));

        //Read Name.
        lblName.Text = card.FormattedName;

        //Read Organization.
        lblOrganization.Text = card.Organization;

        //Read Title.
        lblTitle.Text = card.Title;

        //Read Cell Phone Number.
        if (card.Phones.GetFirstChoice(vCardPhoneTypes.Cellular) != null)
        {
            lblMobileNumber.Text = card.Phones.GetFirstChoice(vCardPhoneTypes.Cellular).FullNumber;
        }

        //Read Home Number.
        if (card.Phones.GetFirstChoice(vCardPhoneTypes.Home) != null)
        {
            lblHomeNumber.Text = card.Phones.GetFirstChoice(vCardPhoneTypes.Home).FullNumber;
        }

        //Read Work Number.
        if (card.Phones.GetFirstChoice(vCardPhoneTypes.Work) != null)
        {
            lblWorkNumber.Text = card.Phones.GetFirstChoice(vCardPhoneTypes.Work).FullNumber;
        }

        //Read Email Address.
        if (card.EmailAddresses.GetFirstChoice(vCardEmailAddressType.Internet) != null)
        {
            lblEmailAddress.Text = card.EmailAddresses.GetFirstChoice(vCardEmailAddressType.Internet).Address;
        }

        //Read Website URL.
        if (card.Websites.GetFirstChoice(vCardWebsiteTypes.Personal) != null)
        {
            lblWebsite.Text = card.Websites.GetFirstChoice(vCardWebsiteTypes.Personal).Url;
        }

        //Read Photo.
        if (card.Photos.Count > 0)
        {
            imgPhoto.ImageUrl = "data:image/png;base64," + Convert.ToBase64String(card.Photos[0].GetBytes());
        }
    }
}